package fr.uca.iut.urbandictionarylight.data

import androidx.room.*
import fr.uca.iut.urbandictionarylight.model.EntryWithDefinitions


@Dao
interface EntryDao {
    @Query("SELECT * FROM entries")
    fun queryAll(): List<EntryWithDefinitions>

    @Query("SELECT * FROM entries WHERE id == :id")
    fun query(id: Int): EntryWithDefinitions?

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insert(entry: EntryWithDefinitions)

    @Update
    fun update(entry: EntryWithDefinitions)

    @Delete
    fun delete(entry: EntryWithDefinitions)
}